diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/config.h ircd-hybrid-6.0/include/config.h
--- ircd-hybrid-6.0.orig/include/config.h	Sat May 26 16:23:41 2001
+++ ircd-hybrid-6.0/include/config.h	Sat May 26 16:23:26 2001
@@ -717,9 +717,13 @@
  *
  * -Dianora
  */
-
 #undef NO_PRIORITY
 
+/* 
+ * If this is required U lines are needed for slave servers to work
+ */
+#undef NEED_ULINES
+   
 /*   STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP  */
 
 /* You shouldn't change anything below this line, unless absolutely needed. */
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_kline.c ircd-hybrid-6.0/src/m_kline.c
--- ircd-hybrid-6.0.orig/src/m_kline.c	Tue Aug 22 06:03:59 2000
+++ ircd-hybrid-6.0/src/m_kline.c	Sat May 26 16:23:26 2001
@@ -404,7 +404,7 @@
         }
       else
         return 0;
-
+#if 0
       if(!find_special_conf(sptr->name,CONF_ULINE))
         {
           sendto_realops("received Unauthorized kline from %s",sptr->name);
@@ -415,9 +415,9 @@
           sendto_realops("received kline from %s", sptr->name);
         }
 
-#ifdef HUB
-      sendto_slaves(sptr,"KLINE",slave_oper,parc,parv);
 #endif
+      sendto_slaves(sptr,"KLINE",slave_oper,parc,parv);
+
 
     }
   else
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_locops.c ircd-hybrid-6.0/src/m_locops.c
--- ircd-hybrid-6.0.orig/src/m_locops.c	Tue Aug 10 03:46:24 1999
+++ ircd-hybrid-6.0/src/m_locops.c	Sat May 26 16:23:26 2001
@@ -108,7 +108,9 @@
     {
       if(!find_special_conf(sptr->name,CONF_ULINE))
         {
+#ifdef NEED_ULINES
           sendto_realops("received Unauthorized locops from %s",sptr->name);
+ #endif
           return 0;
         }
 
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/send.c ircd-hybrid-6.0/src/send.c
--- ircd-hybrid-6.0.orig/src/send.c	Sat May 26 16:23:41 2001
+++ ircd-hybrid-6.0/src/send.c	Sat May 26 16:23:26 2001
@@ -1464,16 +1464,22 @@
 
 {
   aClient *acptr;
+#ifdef NEED_ULINES
   aConfItem *aconf;
+#endif
 
   for(acptr = serv_cptr_list; acptr; acptr = acptr->next_server_client)
     {
       if (one == acptr)
         continue;
-      
-      for (aconf = u_conf; aconf; aconf = aconf->next)
+
+#ifdef NEED_ULINES      
+      for (aconf = u_conf; aconf; aconf = aconf->next) 
+#endif 
         {
+#ifdef NEED_ULINES
           if (match(acptr->name,aconf->name))
+#endif
             { 
               if(parc > 3)
                 sendto_one(acptr,":%s %s %s %s %s :%s",
